#!/bin/sh

#####
#	set up the event variables
#####
YEAR="2019"
MO="05"
DY="28"
HR="08"
MN="48"
SEC="06"
MSEC="000"
LAT="46.38  "
LON=" 6.78"
DEP="10.0"
MAG=" 3.9"
REG="WUS"
NEIC="NONE"
FELTID="NONE"
STATE="French-Switzerland Border"

if [ "WUS" = "EU" ]
then
DEG=20
DURATION=600
else
DEG=3.0
DURATION=300
fi


export MYPWD="/Users/rbh/PROGRAMS.310t/MOMENT_TENSOR/MECH.NA"

#####
#	deconvolve the instrument response, rotate, decimate, do qc
#####
cd /Users/rbh/PROGRAMS.310t/MOMENT_TENSOR/MECH.NA/20190528084806/20190528084806
#####
#     get the data
#####
mkdir Orig
cd Orig
START=`redodate $YEAR $MO $DY $HR $MN $SEC $MSEC -60 |         awk '{printf "%4.4d-%2.2d-%2.2dT%2.2d:%2.2d:%2.2d",$1,$2,$3,$4,$5,$6}' `
END=`redodate $YEAR $MO $DY $HR $MN $SEC $MSEC ${DURATION} |         awk '{printf "%4.4d-%2.2d-%2.2dT%2.2d:%2.2d:%2.2d",$1,$2,$3,$4,$5,$6}' `
CCORD=`echo ${LAT} ${LON} ${DEG} | awk '{printf "%f:%f:%f",$1,$2,$3}' `
FetchData.CH   -N '*' -S '*' -C 'BH*,HH*,HN*' -radius ${CCORD}  -s ${START}  -e ${END} -o BH.mseed -m BH.metadata -X BH.metaxml 
	java -jar ~/bin/stationxml-seed-converter-2.0.4-SNAPSHOT.jar --input BH.metaxml --output BH.dataless
	( cd ../Sac
	rdseed -f ../Orig/BH.mseed -g ../Orig/BH.dataless -R -d -o 1
	)
